--桃源仙境抽奖配置

--第一次打开的抽奖海域界面，默认为1
local FirstOpen = {
	--1为天墉城，2为云梦泽，3为昆仑山
	["first_open"] = 1,
}

--抽奖动画的参数，可以根据实际效果调整
local LotteryShowData = {
	--走马灯每个光圈显示的时间量
	["level_show_time"] = 8,
	--走马灯最后一个光圈多显示的时间量
	["last_level_show_time"] = 10,
	--走马灯整个过程显示几次光圈
	["level_show_num"] = 15,
	--获得奖励时仙缘移动到中间位置的移动速度---弃用
	["move_speed"] = 3,
	--获得奖励时仙缘移动到中间位置的放大速度
	["scale_speed"] = 0.005,
	--获得奖励时仙缘移动到中间位置的移动时间
	["move_time"] = 30,
	--获得奖励时仙缘移动到中间位置的移动偏移x
	["move_offset_x"] = -5,
	--获得奖励时仙缘移动到中间位置的移动偏移y
	["move_offset_y"] = -6,
}

--每个海域的往前翻页按钮特效的配置
--特效只有一个向右的，因此向左的需要在向右的特效基础上做翻转放大和移动
local PrevPageButtonEffect = {
	--按钮旋转角度
	["rotate"] = { x = 0, y = 180, z = 0 },
	["scale"] = { x = 1, y = 1.5, },
	["move"] = { x = 9, y = 1, },
}

local LotteryTenInfo = {
	[0] = "Taoyuan_ItemKLV1" , 
	[1] = "Taoyuan_ItemKLV2" , 
	[2] = "Taoyuan_ItemKLV3" , 
	[3] = "Taoyuan_ItemKLV4" , 
	[4] = "Taoyuan_ItemKLV5" , 
	[5] = "Taoyuan_ItemKLV6" , 
	[6] = "Taoyuan_ItemKLV7" , 
	[7] = "Taoyuan_ItemKLV8" , 
	["playSound"] = "Sound/taoyuan_10_lottery.wav",   --十连音效
	["playSound1"] = "Sound/taoyuan_lottery.wav",  --单抽音效
	["delayTm"] = "3000",  --十连抽特效延迟时间后打开界面
	["max_buy"] = 10000, --一次性最多购买多少个
	["max_Per"] = 10000, --一个格子最多叠加数量
	["guangtuan"] = "fwyidong_up",--物品飞的光效
	["speed"] = 800,--物品飞的光效速度
}

--界面特效的移动量
local EffectOffset = {
	["ty_jt"] = { x = 11, y = 25 },
	--["ty_beijing"] = { x = 438, y = 305 },
	["ty_anniu"] = { x = 73, y = 73 },
	["ty_10lanniu"] = { x = 75, y = 75 },
	["ty_1j"] = { x = 45, y = 0, z = 60 },
	["ty_2j"] = { x = 45, y = 0, z = 60 },
	["ty_3j"] = { x = 45, y = 0, z = 60 },
	["ty_4j"] = { x = 45, y = 0, z = 60 },
	["ty_5j"] = { x = 30, y = 0, z = 30 },
	["ty_6j"] = { x = 30, y = 0, z = 30 },
	["ty_7j"] = { x = 30, y = 0, z = 30 },
	["ty_8j"] = { x = 30, y = 0, z = 30 },
	["ty_daquan"] = { x = 45, y = 0, z = 40 },
	["ty_xiaoquan"] = { x = 30, y = 0, z = 25 },
	["ty_jiemian"] = { x = 460, y = 286},
	["ty_jmcx"] = { x = 460, y = 300},
	["ty_xyLv1"] = { x = 480, y = 300},
	["ty_xyLv2"] = { x = 480, y = 300},
	["ty_xyLv3"] = { x = 480, y = 300},
	["ty_xyLv4"] = { x = 480, y = 300},
	["ty_xyLv5"] = { x = 480, y = 300},
	["ty_xyLv6"] = { x = 480, y = 300},
	["ty_xyLv7"] = { x = 480, y = 300},
	["ty_xyLv8"] = { x = 480, y = 300},
}

--界面特效的缩放比
local EffectScale = {
	["ty_jt"] = { x = 1, y = 1 },
	--["ty_beijing"] = { x = 0.84, y = 0.64 },
	["ty_anniu"] = { x = 1, y = 1 , z = 1 },
	["ty_10lanniu"] = { x = 1, y = 1 , z = 1 },
	["ty_1j"] = { x = 0.7, y = 0.6, z = 0.6},
	["ty_2j"] = { x = 0.6, y = 0.5, z = 0.6 },
	["ty_3j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_4j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_5j"] = { x = 0.3, y = 0.3, z = 0.4 },
	["ty_6j"] = { x = 0.3, y = 0.3, z = 0.4 },
	["ty_7j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_8j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_daquan"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_xiaoquan"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jiemian"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jmcx"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv1"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv2"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv3"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv4"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv5"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv6"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv7"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv8"] = { x = 1, y = 1, z = 1 },
}


--十连抽界面特效的移动量
local EffectOffsetTen = {
	--["ty_jiemian"] = { x = 468, y = 336},
	["ty_jmcx2"] = { x = 530, y = 366},
	["ty_10ljm"] = { x = 550, y = 290},
	["ty_10l"] = { x = 540, y = 380},
	["ty_pzlv1"] = { x = 24, y = 30},
	["ty_pzlv2"] = { x = 24, y = 30},
	["ty_pzlv3"] = { x = 24, y = 30},
	["ty_pzlv4"] = { x = 24, y = 30},
}

--十连抽界面特效的缩放比
local EffectScaleTen = {
	--["ty_jiemian"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jmcx2"] = { x = 1, y = 1, z = 1 },
	["ty_10ljm"] = { x = 1, y = 1, z = 1 },
	["ty_10l"] = { x = 1, y = 1, z = 1 },
	["ty_pzlv1"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv2"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv3"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv4"] = { x = 1, y = 1, z = 1.1 },
}

--消耗道具的图标ID
local ItemIconID = {
	--桃源灵玉
	[0] = 711504,
	--浮生碧玉
	[1] = 712018,
	--月华宝玉
	[2] = 712019,
}

--消耗道具的图标ID
local IslandDateColor = {
	--未开始
	["Yet"] = 0xff00ff00,
	--时间内
	["Normal"] = 0xff00ff00,
	--已结束
	["Over"] = 0xff00ff00,
}
-- 仙岛
-- 天墉城 0-蓬莱仙岛 1-玉衡岩 2-天星崖 3-玄清门 4-三才殿
-- 云梦泽 0-诛仙台    1-求道屿 2-无尘阁 3-莲花池 4-玉京塔
-- 昆仑山 0-一线天    1-大华观 2-寻仙阁 3-丹堂    4-月轮关

--每个海域每个仙岛的名字，消耗道具ID、最大抽奖次数，消耗道具数量，是否可以十连抽，抽奖界面提示，购买需要背包空间
-- ["IsIndex"]	仙岛对应的抽奖编号
-- ["name"]	仙岛名称（固定）
-- ["out_item"]	产出物
-- ["item_type"]	消耗物品ID
-- ["max_time"]	最大单抽数
-- ["cost_num"]	消耗物品数量
-- ["lottry_ten"]	是否可以十连抽  1： 可以  0 ：不行
-- ["lottry_desc"]	抽奖界面描述
-- ["pack_num"]	每次购买占用背包格子数
-- ["price"]	每份购买价格
-- ["tenprice"]	十连抽消耗
-- ["giveup_item"]	放弃时可以得到物品
-- ["buy_icon"]	购买时的物品图标
-- ["buy_name"]	购买时的物品名字
-- ["buy_count"]	每次购买时的物品份数
-- ["TipOut"]	提示产出物
-- ["Relottery_num"]	重抽需要个数
local IslandLotteryDate = {
	[0] = {
		[0] = {
			["IsIndex"] = 1,
			["name"] = "STR_TYXJ_LOTTERY_PLXD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC1",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT1",
			["Relottery_num"] = 1
		},
		[1] = {
			["IsIndex"] = 2,
			["name"] = "STR_TYXJ_LOTTERY_YHY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC2",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT2",
			["Relottery_num"] = 1
		},
		[2] = {
			["IsIndex"] = 3,
			["name"] = "STR_TYXJ_LOTTERY_TXY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC3",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT3",
			["Relottery_num"] = 1
		},
		[3] = {
			["IsIndex"] = 4,
			["name"] = "STR_TYXJ_LOTTERY_XQM_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC4",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT4",
			["Relottery_num"] = 1
		},
		[4] = {
			["IsIndex"] = 5,
			["name"] = "STR_TYXJ_LOTTERY_SCD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC5",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT5",
			["Relottery_num"] = 1
		},
	},
	[1] = {
		[0] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_ZXT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[1] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_QDY_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[2] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_WCG_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_LHC_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YJT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
	[2] = {
		[0] = {
			["IsIndex"] = 10,
			["name"] = "STR_TYXJ_LOTTERY_YXT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC10",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT10",
			["Relottery_num"] = 1
		},
		[1] = {
			["IsIndex"] = 9,
			["name"] = "STR_TYXJ_LOTTERY_DHG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC9",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT9",
			["Relottery_num"] = 1
		},
		[2] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_XXG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_DT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YLG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
}


local IslandLotteryDatePassion = {
	[0] = {
		[0] = {
			["IsIndex"] = 1,
			["name"] = "STR_TYXJ_LOTTERY_PLXD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC1",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT1",
			["Relottery_num"] = 1
		},
		[1] = {
			["IsIndex"] = 2,
			["name"] = "STR_TYXJ_LOTTERY_YHY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[2] = {
			["IsIndex"] = 3,
			["name"] = "STR_TYXJ_LOTTERY_TXY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["IsIndex"] = 4,
			["name"] = "STR_TYXJ_LOTTERY_XQM_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["IsIndex"] = 5,
			["name"] = "STR_TYXJ_LOTTERY_SCD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
	[1] = {
		[0] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_ZXT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[1] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_QDY_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[2] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_WCG_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_LHC_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YJT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
	[2] = {
		[0] = {
			["IsIndex"] = 10,
			["name"] = "STR_TYXJ_LOTTERY_YXT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC10",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT10",
			["Relottery_num"] = 1
		},
		[1] = {
			["IsIndex"] = 9,
			["name"] = "STR_TYXJ_LOTTERY_DHG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC9",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT9",
			["Relottery_num"] = 1
		},
		[2] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_XXG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_DT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YLG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
}

--每个海域每个仙岛的开放状态和时间区间,时间格式yyyymmddhhmmss
local IslandDate = {
	[0] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[1] = {
		[0] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[2] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 1,
			["start"] = 20200818000000,
			["end"] = 20200831235959,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
}

local IslandDatePassion = {
	[0] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[1] = {
		[0] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[2] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 1,
			["start"] = 20200818000000,
			["end"] = 20200831235959,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖概率
local AwardRate = {
	[0] = {
		[0] = {
			[0] = "0.1%",
			[1] = "0.1%",
			[2] = "0.2%",
			[3] = "0.2%",
			[4] = "0.6%",
			[5] = "4.9%",
			[6] = "36.5%",
			[7] = "57.4%",
		},
		[1] = {
			[0] = "0.2%",
			[1] = "0.8%",
			[2] = "1.3%",
			[3] = "5.1%",
			[4] = "7.4%",
			[5] = "1.6%",
			[6] = "42.4%",
			[7] = "41.2%",
		},
		[2] = {
			[0] = "0.1%",
			[1] = "0.1%",
			[2] = "0.2%",
			[3] = "0.2%",
			[4] = "1.5%",
			[5] = "1.2%",
			[6] = "49%",
			[7] = "47.7%",
		},
		[3] = {
			[0] = "0.2%",
			[1] = "0.8%",
			[2] = "1.3%",
			[3] = "5.1%",
			[4] = "6.6%",
			[5] = "0.6%",
			[6] = "43.3%",
			[7] = "42.1%",
		},
		[4] = {
			[0] = "0.2%",
			[1] = "0.8%",
			[2] = "0.9%",
			[3] = "5.1%",
			[4] = "5.9%",
			[5] = "1.9%",
			[6] = "43.3%",
			[7] = "41.9%",
		},
	},
	[1] = {
		[0] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	[2] = {
		[0] = {
			[0] = "0.4%",
			[1] = "0.6%",
			[2] = "0.6%",
			[3] = "0.9%",
			[4] = "1.8%",
			[5] = "4.2%",
			[6] = "36.3%",
			[7] = "55.2%",
		},
		[1] = {
			[0] = "0.1%",
			[1] = "0.5%",
			[2] = "1.8%",
			[3] = "13.6%",
			[4] = "14.1%",
			[5] = "19.3%",
			[6] = "24.5%",
			[7] = "26.1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖概率
local AwardRatePassion = {
	[0] = {
		[0] = {
			[0] = "0.1%",
			[1] = "0.1%",
			[2] = "0.1%",
			[3] = "0.2%",
			[4] = "0.5%",
			[5] = "3.5%",
			[6] = "48.4%",
			[7] = "47.1%",
		},
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	[1] = {
		[0] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	[2] = {
		[0] = {
			[0] = "0.4%",
			[1] = "0.6%",
			[2] = "0.6%",
			[3] = "0.9%",
			[4] = "1.8%",
			[5] = "4.2%",
			[6] = "36.3%",
			[7] = "55.2%",
		},
		[1] = {
			[0] = "0.1%",
			[1] = "0.5%",
			[2] = "1.8%",
			[3] = "13.6%",
			[4] = "14.1%",
			[5] = "19.3%",
			[6] = "24.5%",
			[7] = "26.1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖物品
local AwaredItem = {
	[0] = {
		[0] = {
			[0] = { 3303213,723723,3303184,3303170 },
			[1] = { 3303204,3303183,723722,3200743,3323507 },
			[2] = { 3303165,3303181,753999,752999,751999,723721,3001034,3200728,3303182 },
			[3] = { 3200741,3303178,3303161,3303157,723720 },
			[4] = { 3001036,3303160,3303176,3303180,723718,3303156,723719,3200739,3303179,3200740,3303167,3001035,3333402,3333403 },
			[5] = { 3303174,3303154,3000121,3000123,3303159,3303175,3001412,3000122,723717,3001413,3303168,3303177,3303155,3200744,753099,752099,751099,3322219,3333401 },
			[6] = { 723715,3303158,3303163,723712,3000120,3001411 },
			[7] = { 3303166,3303162,3303173,723713,723859,723856,723855,1060039,3303164,723714,723716,3303172,3303203,3307146,723725,723727,3333400 },
		},
		[1] = {
			[0] = { 3303204,723722,3303213,723723,3303184,3303170 },
			[1] = { 3303178,723720,753999,752999,751999,723721,3303182,3323507 },
			[2] = { 723717,753099,752099,751099,3322219,3303180,723718,723719,3303167 },
			[3] = { 3000121,3000123,3000122,3303168,3303177 },
			[4] = { 723715,3303163,3000120,3003136,3003148,3322219 },
			[5] = { 3001411,3001412,3001413,3001036,3001035,3001034 },
			[6] = { 3303164,723714,3303172,723716,3003147,3003135,3307146,723725,723727 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,723713,3003146,3003134,1060039,3003153 },
		},
		[2] = {
			[0] = { 3303184,3303170 },
			[1] = { 723722,3303213,723723,3323507 },
			[2] = { 753999,752999,751999,723721,3303182,3303204 },
			[3] = { 3303167,3303178,723720 },
			[4] = { 3000122,3303168,723717,3303177,753099,752099,751099,3303180,723718,723719 },
			[5] = { 3303159,3322219,3303160,3303161,3303165 },
			[6] = { 3303158,723715,3303163,3000120,3003136,3003148,3000121,3000123 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,723859,723856,723855,723713,3003146,3003134,1060039,3003153,3303164,723714,3303172,723716,3003147,3003135,3307146,723725,723727 },
		},
		[3] = {
			[0] = { 3303204,723722,3303213,723723,3303184,3303170 },
			[1] = { 3303178,723720,753999,752999,751999,723721,3303182,3323507 },
			[2] = { 723717,753099,752099,751099,3322219,3303180,723718,723719,3303167 },
			[3] = { 3000121,3000123,3000122,3303168,3303177 },
			[4] = { 723725,723727,723715,3303163,3000120,3003136,3003148,3322219 },
			[5] = { 3200731,3200732,3200733,3200726,3200737,3200738,3200739,3200740,3200741,3200728,3200743 },
			[6] = { 3303164,723714,3303172,723716,3003147,3003135,3307146 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,723713,3003146,3003134,1060039,3003153 },
		},
		[4] = {
			[0] = { 3303204,723722,3303213,723723,3303184,3303170 },
			[1] = { 3303178,723720,753999,752999,751999,723721,3303182,3323507 },
			[2] = { 723717,3322219,3303180,723718,723719,3303167 },
			[3] = { 3000121,3000123,3000122,3303168,3303177 },
			[4] = { 723715,3303163,3000120,3003136,3003148,753099,752099,751099,3322219 },
			[5] = { 3303173,723712,3303174,3303154,3303175,3303155,3200744,3303176,3303156,3303179,3303157,3303181,3303183 },
			[6] = { 3303164,723714,3303172,723716,3003147,3003135,3307146,723725,723727 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,723713,3003146,3003134,1060039,3003153 },
		},
	},
	[1] = {
		[0] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	[2] = {
		[0] = {
			[0] = { 3316752,3316753,3316754,3316755,3316756,3316757 },
			[1] = { 3316747,3316748,3316749,3316750,3316751 },
			[2] = { 3316741,3316742,3316743,3316744,3316745,3316746 },
			[3] = { 3316732,3316733,3316734,3316735,3316736,3316737,3316738,3316739,3316740 },
			[4] = { 3316721,3316722,3316723,3316724,3316725,3316726,3316727,3316728,3316729,3316730,3316731 },
			[5] = { 3316710,3316711,3316712,3316713,3316714,3316715,3316716,3316717,3316718,3316719,3316720 },
			[6] = { 3316704,3316705,3316706,3316707,3316708,3316709 },
			[7] = { 3316698,3316699,3316700,3316701,3316702,3316703 },
		},
		[1] = {
			[0] = { 3332167 },
			[1] = { 3332168 },
			[2] = { 3316531,3316660 },
			[3] = { 3310216,754099 },
			[4] = { 751999 },
			[5] = { 752999 },
			[6] = { 753099,753999,751099,754009,3310215 },
			[7] = { 753003,752009,751003,753009,751009,754001,3304137,3316530,752099,754003 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖物品
local AwaredItemPassion = {
	[0] = {
		[0] = {
			[0] = { 3303213,723723,3303170,3303184 },
			[1] = { 3303204,3303183,723722,3200743,3323507 },
			[2] = { 3303165,3303181,753999,752999,751999,723721,3200728 },
			[3] = { 3200741,3303161,3303157,723720,3303178 },
			[4] = { 3303160,3303176,3303180,723718,3306919,3303156,723719,3200739,3303179,3200740,3303167 },
			[5] = { 3303174,3303154,3000121,3000123,3303159,3303175,3000122,723717,3303168,3303177,3303155,3200744,753099,752099,751099,3322219 },
			[6] = { 723715,3303158,723712,3000120,3303163 },
			[7] = { 3303166,3303173,723713,723859,723856,723855,1060039,723714,723716,3303172,3303162,3303203,3307146,723725,723727,3303164 },
		},
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	[1] = {
		[0] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	[2] = {
		[0] = {
			[0] = { 3316752,3316753,3316754,3316755,3316756,3316757 },
			[1] = { 3316747,3316748,3316749,3316750,3316751 },
			[2] = { 3316741,3316742,3316743,3316744,3316745,3316746 },
			[3] = { 3316732,3316733,3316734,3316735,3316736,3316737,3316738,3316739,3316740 },
			[4] = { 3316721,3316722,3316723,3316724,3316725,3316726,3316727,3316728,3316729,3316730,3316731 },
			[5] = { 3316710,3316711,3316712,3316713,3316714,3316715,3316716,3316717,3316718,3316719,3316720 },
			[6] = { 3316704,3316705,3316706,3316707,3316708,3316709 },
			[7] = { 3316698,3316699,3316700,3316701,3316702,3316703 },
		},
		[1] = {
			[0] = { 3332167 },
			[1] = { 3332168 },
			[2] = { 3316531,3316660 },
			[3] = { 3310216,754099 },
			[4] = { 751999 },
			[5] = { 752999 },
			[6] = { 753099,753999,751099,754009,3310215 },
			[7] = { 753003,752009,751003,753009,751009,754001,3304137,3316530,752099,754003 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
}

-- 参数
-- Name	参数名字
-- 返回值
-- 第一次打开的抽奖海域界面
local function GetFirstOpen(Name)
	return FirstOpen[Name]
end

-- 参数
-- Name	参数名字
-- 返回值
-- 参数对应的数值
local function GetLotteryShowData(Name)
	return LotteryShowData[Name]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的移动量
local function GetEffectOffset(Effect, Axis)
	return EffectOffset[Effect][Axis]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的移动量
local function GetEffectOffsetTen(Effect, Axis)
	return EffectOffsetTen[Effect][Axis]
end

-- 参数
-- Name		参数名字
-- Axis		索引值
-- 返回值
-- 特效的参数值
local function GetPrevPageButtonEffect(Name, Axis)
	return PrevPageButtonEffect[Name][Axis]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的缩放比
local function GetEffectScale(Effect, Axis)
	return EffectScale[Effect][Axis]
end


-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的缩放比
local function GetEffectScaleTen(Effect, Axis)
	return EffectScaleTen[Effect][Axis]
end

-- 参数
-- ItemID	道具索引
-- 返回值
-- 道具的title
local function GetItemIconTitle(ItemID)
	return ItemIconID[ItemID]
end

-- 参数
-- strStatus	状态索引
-- 返回值
-- 文字的颜色
local function GetIslandDateColor(strStatus)
	return IslandDateColor[strStatus]
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- strIndex		索引值
-- 返回值
-- 每个海域每个仙岛的消耗道具ID、最大抽奖次数或者道具消耗数量
local function GetIslandLotteryDate(nAreaType, nIslandType, strIndex)
	local default = -1
	
	if nIslandType >= 5 then 
		nIslandType = nIslandType%5 
	end
	
	local t1 = IslandLotteryDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandLotteryDatePassion[nAreaType]
	end
	
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local str = t2[strIndex]
			if str then
				return str
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- 返回值
-- 每个海域每个仙岛的开放状态
local function GetIslandStatus(nAreaType, nIslandType)
	local default = -1
	local t1 = IslandDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandDatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local staus = t2["status"]
			if (staus) then
				return staus
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- strIndex		开始或结束索引值
-- 返回值
-- 每个海域每个仙岛的时间
local function GetIslandTime(nAreaType, nIslandType, strIndex)
	local default = -1
	local t1 = IslandDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandDatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local str = t2[strIndex]
			if str then
				return str
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- 返回值
-- 每个海域每个仙岛每个等级的仙缘的获奖概率
local function GetAwardRate(nAreaType, nIslandType, nAwardLevel)
	local default = "1"
	local t1 = AwardRate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwardRatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local rate = t2[nAwardLevel]
			if (rate) then
				return rate
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- nItemIndex	物品索引
-- 返回值
-- 每级仙缘的获奖物品ID
local function GetAwardItem(nAreaType, nIslandType, nAwardLevel, nItemIndex)
	local default= -1
	local t1 = AwaredItem[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwaredItemPassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local itemTable = t2[nAwardLevel]
			if (itemTable ~= nil) then
				if (itemTable[nItemIndex] ~= nil) then
					return itemTable[nItemIndex]
				end
				return default
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- 返回值
-- 每级仙缘的获奖物品数量
local function GetAwardItemNum(nAreaType, nIslandType, nAwardLevel)
	local count = 0
	local t1 = AwaredItem[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwaredItemPassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local itemTable = t2[nAwardLevel]
			if (itemTable ~= nil) then
				for key, value in ipairs(itemTable) do
					count = count + 1
				end
				return count
			end
			return count
		end
		return count
	end
	return count
end

-- 清理变量释放内存
local function Unload()
	TYXJ_Lottery_GetFirstOpen = nil
	TYXJ_Lottery_GetIslandLotteryDate = nil
	TYXJ_Lottery_GetLotteryShowData = nil
	TYXJ_Lottery_GetIslandDateColor = nil
	TYXJ_Lottery_GetEffectScale = nil
	TYXJ_Lottery_GetEffectOffset = nil
	TYXJ_Lottery_GetEffectScaleTen = nil
	TYXJ_Lottery_GetEffectOffsetTen = nil
	TYXJ_Lottery_GetPrevPageButtonEffect = nil
	TYXJ_Lottery_GetItemIconTitle = nil
	TYXJ_Lottery_GetIslandStatus = nil
	TYXJ_Lottery_GetIslandTime = nil
	TYXJ_Lottery_GetAwardRate = nil
	TYXJ_Lottery_GetAwardItem = nil
	TYXJ_Lottery_GetAwardItemNum = nil
	TYXJ_Lottery_Unload = nil
end

local function GetAwardTenInfo(key)
	local keyValue = LotteryTenInfo[key]

	if (keyValue) then
		return keyValue
	end
	
	return ""
end

-- 通过require传给其他Lua脚本使用
local TYXJ_Lottery = {
	GetFirstOpen = GetFirstOpen,
	GetIslandLotteryDate = GetIslandLotteryDate,
	GetLotteryShowData = GetLotteryShowData,
	GetIslandDateColor = GetIslandDateColor,
	GetEffectOffset = GetEffectOffset,
	GetPrevPageButtonEffect = GetPrevPageButtonEffect,
	GetEffectScale = GetEffectScale,
	GetEffectOffsetTen = GetEffectOffsetTen,
	GetEffectScaleTen = GetEffectScaleTen,
	GetItemIconTitle = GetItemIconTitle,
	GetIslandStatus = GetIslandStatus,
	GetIslandTime = GetIslandTime,
	GetAwardRate = GetAwardRate,
	GetAwardItem = GetAwardItem,
	GetAwardItemNum = GetAwardItemNum,
	GetAwardTenInfo = GetAwardTenInfo,
	Unload = Unload,
}

-- C++程序使用的global函数名
TYXJ_Lottery_GetFirstOpen = TYXJ_Lottery.GetFirstOpen
TYXJ_Lottery_GetIslandLotteryDate = TYXJ_Lottery.GetIslandLotteryDate
TYXJ_Lottery_GetLotteryShowData = TYXJ_Lottery.GetLotteryShowData
TYXJ_Lottery_GetIslandDateColor = TYXJ_Lottery.GetIslandDateColor
TYXJ_Lottery_GetEffectScale = TYXJ_Lottery.GetEffectScale
TYXJ_Lottery_GetEffectOffset = TYXJ_Lottery.GetEffectOffset
TYXJ_Lottery_GetEffectScaleTen = TYXJ_Lottery.GetEffectScaleTen
TYXJ_Lottery_GetEffectOffsetTen = TYXJ_Lottery.GetEffectOffsetTen
TYXJ_Lottery_GetPrevPageButtonEffect = TYXJ_Lottery.GetPrevPageButtonEffect
TYXJ_Lottery_GetItemIconTitle = TYXJ_Lottery.GetItemIconTitle
TYXJ_Lottery_GetIslandStatus = TYXJ_Lottery.GetIslandStatus
TYXJ_Lottery_GetIslandTime = TYXJ_Lottery.GetIslandTime
TYXJ_Lottery_GetAwardRate = TYXJ_Lottery.GetAwardRate
TYXJ_Lottery_GetAwardItem = TYXJ_Lottery.GetAwardItem
TYXJ_Lottery_GetAwardItemNum = TYXJ_Lottery.GetAwardItemNum
TYXJ_Lottery_GetAwardTenInfo = TYXJ_Lottery.GetAwardTenInfo
TYXJ_Lottery_Unload = TYXJ_Lottery.Unload

-- require返回值
return TYXJ_Lottery